<div class="layout">

    <div class="container d-flex flex-column">
        <div class="row align-items-center justify-content-center no-gutters min-vh-100">

            <div class="col-12 col-md-5 col-lg-4 py-8 py-md-11">

                <!-- Heading -->
                <h1 class="font-bold text-center">Registro</h1>

                <!-- Text -->
                <p class="text-center mb-6">Bienvenido  - Chat instantáneo</p>

                <!-- Form -->
                <form class="mb-6" #registroForm="ngForm" (ngSubmit)="onSubmit(registroForm)">

                    <!-- Name -->
                    <div class="form-group">
                        <label for="name" class="sr-only">Nombre</label>
                        <input #nombre="ngModel" name="nombre" [(ngModel)]="user.nombre" type="text" class="form-control form-control-lg" id="name" placeholder="Ingresa tu nombre">
                    </div>

                    <!-- Email -->
                    <div class="form-group">
                        <label for="email" class="sr-only">Correo electrónico</label>
                        <input #email="ngModel" name="email" [(ngModel)]="user.email" type="email" class="form-control form-control-lg" id="email" placeholder="Ingresa tu correo electrónico">
                    </div>

                    <!-- Password -->
                    <div class="form-group">
                        <label for="password" class="sr-only">Contraseña</label>
                        <input #password="ngModel" name="password" [(ngModel)]="user.password" type="password" class="form-control form-control-lg" id="password" placeholder="Ingresa tu contraseña">
                    </div>

                    <!-- Submit -->
                    <button class="btn btn-lg btn-block btn-primary" type="submit">Registrarme</button>
                </form>

                <!-- Text -->
                <p class="text-center">
                    Ya tienes una cuenta? <a [routerLink]="['/']">>Iniciar sesión</a>.
                </p>

            </div>
        </div> <!-- / .row -->
    </div>

</div><!-- .layout -->